### Method

# Ide TreeModel get_root

#### Declaration

    IdeTreeNode*
    ide_tree_model_get_root (
      IdeTreeModel* self
    )

#### Description

Gets the root `IdeTreeNode`. This node is never visualized in the tree, but is used to build the immediate children which are displayed in the tree.

Available since: | 3.32

Gets property | `Ide.TreeModel:root`

#### Return value

Returns: | `IdeTreeNode`
| An `IdeTreeNode`.
| The data is owned by the instance.